def audit():
    if not service_installed(service_name):
        print("Service %s is NOT installed, you will probably need to repair Windows" % service_name)
        return "ERROR"
    if not service_get_start_mode(service_name) == "Auto":
        print("Starting mode of %s is NOT: %s. WAPT is reinstalling the package to fix that" % (service_name, service_start_mode))
        install()
    if not service_is_running(service_name):
        print("Service %s was NOT running. WAPT is restarting it" % service_name)
        service_restart(service_name)
        install()
        return "WARNING"
    else:
        print("Service %s is running" % service_name)
        return "OK"
