def install():
    app_uninstallkey = get_msi_properties(bin_name)["ProductCode"]
    if need_install(get_msi_properties(bin_name)["ProductCode"], min_version=control.get_software_version()) or force:
        print(r"Installing: %s (%s)" % (bin_name, get_msi_properties(bin_name)["ProductVersion"]))
        run(
            r'msiexec /norestart /qn /i "%s" %s /L*V "C:\windows\temp\%s.log"'
            % (bin_name, " ".join(["%s=%s" % (k, v) for (k, v) in properties.items()]), bin_name.rsplit(".", 1)[0]),
            timeout=900,
        )
    else:
        print(f"{bin_name} ({control.get_software_version()}) is already installed and up-to-date.")
    uninstallkey.append(app_uninstallkey)
