def install():
    # Prevent interaction with waptpython (please make sure that the following code require the defined path)
    if "PYTHONHOME" in os.environ.keys():
        del os.environ["PYTHONHOME"]
    if "PYTHONPATH" in os.environ.keys():
        del os.environ["PYTHONPATH"]
    os.environ["PYTHONPATH"] = app_dir
    os.environ["PYTHONHOME"] = app_dir

    # Installing Python Wheels
    for whl in glob.glob(r"%s\*.whl" % whl_dir_path):
        print("Installing Python Wheel: %s" % whl)
        run(r'"%s\Scripts\easy_install.exe" "%s"' % (app_dir, whl))

    # Preinstalling Anaconda dependencies (procedure: https://docs.conda.io/projects/conda/en/latest/commands/install.html)
    run(
        '"%s" install qt --quiet --offline --use-local --yes --prefix "%s"' % (conda_path, app_dir),
        shell=False,
    )

    # Debugging information for Anaconda
    print("If you're experencing issues with Anaconda you may need to execute in cmd the following command:")
    print('"%s"' % makepath(app_dir, "Scripts", "activate.bat"))

    # Rolling back WAPT Python Pathes (will ensure that WAPT install complete correctly)
    if "PYTHONHOME" in os.environ.keys():
        del os.environ["PYTHONHOME"]
    if "PYTHONPATH" in os.environ.keys():
        del os.environ["PYTHONPATH"]
    os.environ["PYTHONHOME"] = makepath(programfiles32, "wapt")
    os.environ["PYTHONPATH"] = makepath(programfiles32, "wapt")
