app_uninstallkey = "MiKTeX"


def install():
    # Adding QuietUninstallString
    quiet_uninstall_string = installed_softwares(uninstallkey=app_uninstallkey)[0]["uninstall_string"] + " /VERYSILENT /SUPPRESSMSGBOXES /NORESTART"
    register_uninstall(app_uninstallkey, quiet_uninstall_string=quiet_uninstall_string)

    # Adding QuietUninstallString
    wait_uninstallkey_present(app_uninstallkey)
    quiet_uninstall_string = installed_softwares(uninstallkey=app_uninstallkey)[0]["uninstall_string"].rsplit('"', 1)[0] + '" uninstall'
    register_uninstall(app_uninstallkey, quiet_uninstall_string=quiet_uninstall_string)

    # Adding QuietUninstallString
    wait_uninstallkey_present(app_uninstallkey)
    quiet_uninstall_string = f'"{app_path}" {"-fulluninstall"}'
    register_uninstall(app_uninstallkey, quiet_uninstall_string=quiet_uninstall_string)

    # Adding QuietUninstallString for multi results
    for a in installed_softwares(name="VMware Horizon Client"):
        if "Package Cache" in a["uninstall_string"]:
            app_uninstallkey = a["key"]
            break
    uninstallkey = [app_uninstallkey]
    quiet_uninstall_string = (
        installed_softwares(uninstallkey=app_uninstallkey)[0]["uninstall_string"]
        + r' /silent /norestart /log "%WINDIR%\Temp\VMWareHorizonClient-Uninstall.log"'
    )
    register_uninstall(app_uninstallkey, quiet_uninstall_string=quiet_uninstall_string)

    # Adding QuietUninstallString in registry for the software (please use with care)
